> To keep *faxgetty* alive even with the -D option, I had to remove the
> */dev/null* pipes.

... and, of course, I removed the background-execution flag, too.

Here's the complete diff:

--- /etc/init.d/hylafax.bak     2006-09-19 02:31:01.000000000 -0500
+++ /etc/init.d/hylafax 2008-01-24 23:03:27.000000000 -0600
@@ -18,7 +18,7 @@

 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 HYLAFAX_HOME=/var/spool/hylafax
-FAXGETTY=/usr/sbin/faxgetty
+FAXGETTY="/usr/sbin/faxgetty -D"  # 2008 Jan 24 . by vital_linux_tweaks.py
 FAXMODEM=/usr/sbin/faxmodem

 OLDPROT=
@@ -246,7 +246,7 @@
         log_progress_msg "faxgetty"
         for device in $devices none; do
           [ "$device" = none ] && continue
-          ${FAXGETTY} `echo $device | cut -d . -f 2` >/dev/null 2>&1 
</dev/null &
+          ${FAXGETTY} `echo $device | cut -d . -f 2`
         done
       elif [ ${USE_FAXGETTY} != "init" ]; then
         log_progress_msg "faxmodem"
@@ -282,4 +282,6 @@
     ;;
 esac

+rm -f /var/run/hylafax.pid || true  # 2008 Jan 24 . by vital_linux_tweaks.py
+pgrep faxq > /var/run/hylafax.pid || true
 exit 0

-- 
.. Chuck Rhode, Sheboygan, WI, USA
.. Weather:  http://LacusVeris.com/WX
.. -1° — Wind WSW 8 mph



Reply via email to